# PIntReversedOrder< type > Struct Template Reference

`#include <object.h>`

List of all members.

## Public Member Functions

__inline | PIntReversedOrder ()
__inline | PIntReversedOrder (type value)
__inline | PIntReversedOrder (const PIntReversedOrder &value)
__inline PIntReversedOrder & | operator= (type value)
__inline PIntReversedOrder & | operator= (const PIntReversedOrder &value)
__inline | operator type () const

## Friends

__inline friend ostream & | operator<< (ostream &s, const PIntReversedOrder &value)
__inline friend istream & | operator>> (istream &s, PIntReversedOrder &v)

### template<typename type>
struct PIntReversedOrder< type >

## Constructor & Destructor Documentation

template<typename type>

__inline PIntReversedOrder< type >::PIntReversedOrder | ( |  | ) | `[inline]`

template<typename type>

__inline PIntReversedOrder< type >::PIntReversedOrder | ( | type | value | ) | `[inline]`

template<typename type>

__inline PIntReversedOrder< type >::PIntReversedOrder | ( | const PIntReversedOrder< type > & | value | ) | `[inline]`

## Member Function Documentation

template<typename type>

__inline PIntReversedOrder< type >::operator type | ( |  | ) | const`[inline]`

template<typename type>

__inline PIntReversedOrder& PIntReversedOrder< type >::operator= | ( | const PIntReversedOrder< type > & | value | ) | `[inline]`

template<typename type>

__inline PIntReversedOrder& PIntReversedOrder< type >::operator= | ( | type | value | ) | `[inline]`

## Friends And Related Function Documentation

template<typename type>

__inline friend ostream& operator<< | ( | ostream & | s,
|  | const PIntReversedOrder< type > & | value |
| ) |  |  | `[friend]`

template<typename type>

__inline friend istream& operator>> | ( | istream & | s,
|  | PIntReversedOrder< type > & | v |
| ) |  |  | `[friend]`

The documentation for this struct was generated from the following file:

- object.h